Login SAML Config API
Get SAML connection
Get a single SAML SSO connection.
GET
/
v2
/
session
/
apps
/
{appID}
/
config
/
login
/
saml
/
{providerID}
/
{connectionID}
Get SAML connection
curl --request GET \
--url https://api.prelude.dev/v2/session/apps/{appID}/config/login/saml/{providerID}/{connectionID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prelude.dev/v2/session/apps/{appID}/config/login/saml/{providerID}/{connectionID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prelude.dev/v2/session/apps/{appID}/config/login/saml/{providerID}/{connectionID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection": {
"id": "<string>",
"provider_id": "<string>",
"name": "<string>",
"enabled": true,
"idp": {
"entity_id": "<string>",
"sso_url": "<string>",
"slo_url": "<string>",
"certificates": [
"<string>"
]
},
"sp": {
"entity_id": "<string>",
"acs_url": "<string>",
"slo_url": "<string>",
"metadata_url": "<string>",
"signing_certificate": "<string>"
},
"behavior": {
"allow_email_account_merge": true,
"jit_provisioning": true,
"enforce_login": true,
"default_redirect_uri": "<string>",
"sync_profile_on_login": true,
"email_domain_allowlist": [
"<string>"
]
},
"mapping": {
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"groups": "<string>",
"custom": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"code": "app_not_found",
"status": "not_found",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the app the request refers to. An application's unique identifier.
Examples:
"54e9ujn"
"fvua38g"
The SAML provider identifier.
Examples:
"okta"
"google"
"jumpcloud"
The SAML connection identifier (prefixed with samlc_).
Example:
"samlc_01jqebhswje1ka1z7ahr9rfsgt"
Response
OK
Show child attributes
Show child attributes
Previous
Update SAML connectionApply a partial update to a SAML connection. Omitted fields are left
unchanged. The IdP `entity_id` is immutable — delete and recreate the
connection to rotate it.
Next
⌘I
Get SAML connection
